This discussion is archived
1 Reply Latest reply: Mar 26, 2012 7:42 AM by gdarling - oracle RSS

System.Data.OracleClient requires Oracle client software

631139 Newbie
Currently Being Moderated
HI

I am facing problem while connecting my asp.net v1.1 to oracle 10g 10.2.0.4.0 installed in windows server 2008 64 bit. Before application was running successfully with windows server 2003 then we paln to migrate whole server to windows server 2008 but oracle database is fine but my application will run only in framework v1.1 so we installed v1.1 on server 2008. while running the application it gives this error,

" System.Data.OracleClient requires Oracle client software version 8.1.7 or greater"

We read so many articles they mention to give permission to oracle_home but we have tried that too but the result was same. we couldn't find the solution. We tried to connect the database from asp.net in server 2003 it was working fine so we concluded that the problem was not in database but there is some connectivity issue between framework v1.1 and oracle 10g on windows server 2008 and windows 7 too.

So please can anyone help me to solve this issue.
Thanks in advance

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points